<style scoped="">
.main_slider_ct{
  position: relative;
}
.main_slider_ct .text_slider_ct{
  position: absolute;
  bottom: 35px;
  width: 100%;
}
.main_slider{
  position: relative;
  background-color: #3B72F6;
  background-color: #6AB04D;
} 
.main_slider .comm_width{
  position: relative;
  background-image: url(../assets/images/main_slider_bg.jpg);
  background-size: 659px 525px;
  background-repeat: no-repeat;
  background-position: top 73px right;
  height: 550px;
}
.supply_btn{
  font-size: 16px;
  padding: 24px 45px;
  display: block;
  background-color: #0D5EE5;
  color: #fff;
  display: inline-block;

  font-size: 16px;
  padding: 18px 45px;
  display: block;
  background-color: #fdfeff;
  color: #3B72F6;
  display: inline-block;
  border-radius: 2px;
}
.main_slider_content{
  border-top: 1px solid rgba(0, 0, 0, 0);
  width: 50%;
  background-image: url(../assets/images/points_in_rectancle.jpg);
  background-repeat: no-repeat;
  background-size: 183px 202px;
  background-position: top 95px left;
}
.main_slider_des_txt{
  font-size: 20px;
  line-height: 36px;
  margin-bottom: 72px;
  padding-right: 88px;
  color: #FFFFFF;
}
.main_slider_title{
  margin-top: 167px;
  font-size: 57px;
  color: #fff;
}
.main_slider .banner2{
  background-image: url(../assets/images/数与区块链服务平台-banner@2x.png);
  background-size: 475px 354px;
}
@media (max-width: 800px) {
  .main_slider_content{
    width: 100%;
  }
  .main_slider_title{
    margin-top: 75px;
    text-align: center;
    font-size: 32px;
  }
  .main_slider .comm_width{
    background-image: none;
    height: auto;
  }
  .main_slider_des_txt{
    font-size: 12px;
    line-height: 20px;
    text-align: center;
    width: 240px;
    margin: 0 auto;
    padding-right: 0px;
  }
  .supply_btn_ct{
    display: flex;
    justify-content: center;
  }
  .supply_btn{
    height: 45px;
    line-height: 45px;
    border-radius: 3px;
    display: block;
    margin: 0 auto;
    margin-top: 30px;
    padding: 0px;
    text-align: center;
    display: inline-block;
    padding: 0px 20px;
  }
  .mobile_top_bg{
    position: relative;
    background-image: url(../assets/images/main_slider_bg.jpg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    height: 250px;
    margin: 10px;
  }
}
</style>
<template>
<div class="main_slider_ct" @mouseover="toggle_hover(true)" @mouseout="toggle_hover(false)">
  
  <div class="main_slider" v-for="item, index in datas" v-if="select_value == index" :key="index">
    <div class="comm_width"  v-bind:class="item.banner_class">
      <div class="main_slider_content">
        <h2 class="main_slider_title" v-html="item.title">
        </h2>
        <p class="main_slider_des_txt">
          {{ item.brief }}
        </p>
      </div>
      <div class="mobile_top_bg" ></div>
    </div>
  </div>

  <text_slider :data="datas" @change="change" v-model="select_value" :hover="hover" :hide_bar="hide_bar"></text_slider>

</div>

</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
import text_slider from '@/components/text_slider.vue'
export default {
  data () {
    return {
      lang,
      select_value: 0,
      hover: false,
      hide_bar: true,
      datas: [
        {
          title: '数与区块链<br/>服务平台',
          brief: '高性能、低延迟、高隐私、高可拓展的区块链平台',
          banner_class: 'banner2',
          action: {
            text: '了解更多',
            url: ''
          },
          item_style: {
            width: '30px'
          },
        },
      ]
    }
  },

  methods: {
    toggle_hover (status) {
      this.hover = status;
    },
    change () {
      
    }
  },

  components:{
    text_slider
  }
}
</script>